#!/bin/bash
#
# Apply upgrade workarounds
set -euo pipefail

echo BZ#1507225
sudo iptables -I INPUT -p tcp -m multiport --dports 8000 -m comment --comment "heat_api_cfn" -m state --state NEW -j ACCEPT

echo BZ#1493298
curl -4 https://review.openstack.org/changes/505606/revisions/current/patch?download | \
       base64 -d | \
       sudo patch  -d /usr/share/openstack-tripleo-heat-templates/ -p1

echo BZ#1504274
curl -4 https://review.openstack.org/changes/517025/revisions/current/patch?download | \
       base64 -d | \
       sudo patch  -d /usr/share/openstack-tripleo-heat-templates/ -p1

# FOR https://bugzilla.redhat.com/show_bug.cgi?id=1470041 you also need to enable it with an environment file:
# only if testing BZ#1470041

/bin/bash -c "cat <<EOF>>$HOME/remove-packages.yaml
parameter_defaults:
  UpgradeRemoveUnusedPackages: true
EOF"
